latest Nvidia driver install not possible from PPA ???

Screen resolution, 3D Acceleration, nVidia, ATI
Forum rules
Before you post please read this
mon3
Level 1
Level 1
Posts: 6
Joined: Sun Nov 05, 2017 5:05 pm

latest Nvidia driver install not possible from PPA ???

Postby mon3 » Mon Nov 06, 2017 12:45 pm

I have Mint 18.2 Cinamon and Nvidia Quadro M2200. My GPU works properly only with the latest nvidia driver (nvidia-387.22) but I can’t find any prebuilt package of this driver for Mint 18.02.
So I’ve added the nvidia-387.22 package from the “Ubuntu Artful” PPA to my sources from “Graphics Drivers” team PPA and I have installed the driver from there.
But if I try to install “nvidia-settings” from the “Ubuntu Artful” PPA i get the following error message:

Code: Select all

The following packages have unmet dependencies:
 nvidia-settings : Depends: libgtk2.0-0 (>= 2.24.31) but 2.24.30-1ubuntu1.16.04.2 is to be installed
E: Unable to correct problems, you have held broken packages.

So I’ve installed the “nvidia-settings” separately from the Ubuntu Xenial PPA.
Now my Quadro M2200 seems to work properly.
Is there an easier way to install the latest nvidia driver (nvidia-387.22) on Mint 18.2?

mr_raider
Level 6
Level 6
Posts: 1283
Joined: Sun Jun 20, 2010 9:50 am
Location: Montreal, QC

Re: latest Nvidia driver install not possible from PPA ???

Postby mr_raider » Mon Nov 06, 2017 1:06 pm

No. You need to add the Ubuntu "xenial" PPA;

sudo add-apt-repository ppa:graphics-drivers/ppa


Then you need to execute

sudo apt update

and

sudo apt install nvidia-3xx

where 3xx is the line of drivers you want. 375 is stable, 340 is stable legacy. 381 and higher are new releases for newer cards. I personally use 384 which the next stable driver. You need to check which driver is supported on nvidia's web site for your card

http://www.nvidia.ca/object/unix.html
Image

mon3
Level 1
Level 1
Posts: 6
Joined: Sun Nov 05, 2017 5:05 pm

Re: latest Nvidia driver install not possible from PPA ???

Postby mon3 » Mon Nov 06, 2017 4:08 pm

mr_raider wrote:No. You need to add the Ubuntu "xenial" PPA;

sudo add-apt-repository ppa:graphics-drivers/ppa


Then you need to execute

sudo apt update

and

sudo apt install nvidia-3xx

where 3xx is the line of drivers you want. 375 is stable, 340 is stable legacy. 381 and higher are new releases for newer cards. I personally use 384 which the next stable driver. You need to check which driver is supported on nvidia's web site for your card

http://www.nvidia.ca/object/unix.html


If I could install the "nvidia-387.22" driver from the Ubuntu "Xenial" PPA (as you suggested) I wouldn't started my topic . The Ubuntu "Xenial" PPA contains only nvidia-387.12 and earlier versions. I’ve tested all of the driver versions available from the “Xenial” PPA but none of them works properly with my Quadro M2200. I get very low FPS with OpenGL, 4K video playback flickering etc… all of them are total buggy! According to the Nvidia hompage 384.98 and 387.12 should be working with the Quadro M2200 but they are so buggy that I get better performance with the open source “Nouveau”driver. Only the latest driver version (nvidia-387.22) works properly with the Quadro M2200.
My problem is that this driver version is only available in the Ubuntu “Bionic” and Ubuntu “Artful” PPA and not in the Ubuntu “Xenial” PPA. I hope this helps to understand my question.

mr_raider
Level 6
Level 6
Posts: 1283
Joined: Sun Jun 20, 2010 9:50 am
Location: Montreal, QC

Re: latest Nvidia driver install not possible from PPA ???

Postby mr_raider » Mon Nov 06, 2017 11:21 pm

The Bionic/Artful PPAs use packages that have dependencies that cannot be met in Xenial.

The way I see it you have three options:

1. Install the driver directly using the script on nvidias page, the process is complex but doable.

2. Use a distro based on Artful or Bionic

3. (not recommended), try to download the packages individually from artful to meet the dependencies, and cross your fingers.
Image

mon3
Level 1
Level 1
Posts: 6
Joined: Sun Nov 05, 2017 5:05 pm

Re: latest Nvidia driver install not possible from PPA ???

Postby mon3 » Tue Nov 07, 2017 12:12 pm

mr_raider wrote:The Bionic/Artful PPAs use packages that have dependencies that cannot be met in Xenial.
The way I see it you have three options:

1. Install the driver directly using the script on nvidias page, the process is complex but doable.

2. Use a distro based on Artful or Bionic

3. (not recommended), try to download the packages individually from artful to meet the dependencies, and cross your fingers.



Thank you! I've already tried all of these options but I found faster and easier the installation method I described in my first post.
I just wonder after all the hassle why isn't available the latest nvidia driver in the Ubuntu "Xenial" PPA?

User avatar
Pjotr
Level 19
Level 19
Posts: 9040
Joined: Mon Mar 07, 2011 10:18 am
Location: The Netherlands (Holland)
Contact:

Re: latest Nvidia driver install not possible from PPA ???

Postby Pjotr » Tue Nov 07, 2017 1:31 pm

mon3 wrote:why isn't available the latest nvidia driver in the Ubuntu "Xenial" PPA?

Ask the PPA devs.
Tip: 10 things to do after installing Linux Mint 18.3 Sylvia
Keep your Linux Mint healthy: Avoid these 10 fatal mistakes
Twitter: twitter.com/easylinuxtips
All in all, horse sense simply makes sense.


Return to “Graphic Cards & Monitors”